* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
  
body {
    background-color: #000;
    min-height: 100vh;
	font-family: "Reem Kufi", sans-serif;
	font-optical-sizing: auto;
	font-weight: 400;
    overflow: hidden;
	font-style: normal;
}
#grid {
	display: grid;
	grid-template-rows: repeat(6, 1fr);
	grid-template-columns: repeat(12, 1fr);
	gap: 15px;
	width: 100%;
    height: calc(100vh - 25px);
    padding-top: 15px;
}
.boxes{
    background-color: #d1f839;
    border-radius: 15px;
}
.logo{
	background-image: url('photo/logo2.webp');
	background-size: contain;
	background-repeat: no-repeat;
	background-color: unset;
	background-position: center;
}
h1{
    font-size: 1.4em;
}
.main-text {
    position: relative;
    color: white;
    font-size: 40px;
    letter-spacing: 2px;
    text-align: center;
    align-content: center;
    font-weight: 500;
    background-color: #000;
    border-radius: 15px;
    padding: 20px;
    z-index: 1;
}

.main-text::before {
    content: '';
    position: absolute;
    top: 0; right: 0; bottom: 0; left: 0;
    border-radius: 15px;
    padding: 2px;
    opacity: 0.2;
    background: linear-gradient(to bottom, rgb(255, 255, 255), rgb(153 153 153 / 60%));
    -webkit-mask: 
        linear-gradient(#fff 0 0) content-box, 
        linear-gradient(#fff 0 0);
    -webkit-mask-composite: destination-out;
            mask-composite: exclude;
    z-index: -1;
}


.phone {
    position: relative;
    color: white;
    font-size: 40px;
    letter-spacing: 2px;
    text-align: center;
    align-content: center;
    font-weight: 500;
    background-image: url("photo/cat.webp");
    border-radius: 15px;
    z-index: 1;
    background-size: cover;
    background-position: bottom;
    background-repeat: no-repeat;
}
.phone::before {
    content: '';
    position: absolute;
    top: 0; right: 0; bottom: 0; left: 0;
    border-radius: 15px;
    padding: 2px;
    background: linear-gradient(to bottom, rgb(226 226 226 / 40%), rgb(101 101 101 / 40%));
    -webkit-mask: 
        linear-gradient(#fff 0 0) content-box, 
        linear-gradient(#fff 0 0);
    -webkit-mask-composite: destination-out;
            mask-composite: exclude;
    z-index: -1;
}
.phone-flex{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}
.phone-top{
	font-family: "Reem Kufi", sans-serif;
	font-optical-sizing: auto;
    background-color: #000;
	font-weight: 500;
	font-style: normal;
	color: white;
    height: 4%;
    margin-top: 5px;
    display: flex;
    align-items: center;
    z-index: -2;
    padding-left: 10px;
    justify-content: flex-start;
}
.phone-top img:first-of-type {
    margin-left: auto;
}
.phone-top img:last-of-type {
    margin-right: 10px;
}
.phone-top img{
    margin-right: 5px;
}
.dates{
    height: 21%;
}
.dates p:first-of-type{
    font-size: 55px;
    font-weight: 500;
    text-align: center;
    vertical-align: middle;
    height: 70%;
}
.date{
    font-size: 16px;
    font-weight: 500;
}
.phone-not{
    width: 96%;
    height: 75%;
    background: white;
    border-radius: 10px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 15px;
    transition: all 0.3s ease;
}
.crack{
    transition: all 0.3s ease;
}
.phone-not-top{
    display: flex;
    height: 22%;
    flex-direction: row;
    padding: 5px;
    align-items: center;
}
.phone-not-top{
    font-weight: 500;
    color: black;
}
.phone-not-top p:first-of-type{
    font-size: 14px;
}
.phone-not-top p{
    font-size: 12px;
    margin-left: 5px;
}
.circle{
    background: #D9D9D9;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    margin-left: 5px;
}
.phone-not-mid{
    color: black;
    height: 55%;
    padding-left: 5px;
}
.phone-not-mid p{
    font-size: 12px;
    text-align: left;
    width: 100%;
    height: 100%;
}
.phone-not-bot{
    height: 25%;
    font-size: 14px;
    align-content: center;
    color: #000;
    cursor: pointer;
    transition: color 0.3s ease;
}
.phone-not-bot:hover{
    color: #292929;
}
.for-light{
    width: 100px;
    height: 100px;
    position: absolute;
    z-index: -3;
    border-radius: 50%;
    right: 18%;
    background: white;
    top: 3%;
    filter: blur(50px);
    visibility: hidden;
    opacity: 0;
    transition: opacity 1s ease-in-out, visibility 1s ease-in-out;
}
.for-light.visible{
    visibility: visible;
    opacity: 1;
}
#flashlight:hover{
    transform: scale(0.9);
}
#cam:hover{
    transform: scale(0.9);
}
.photo{
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 99;
    background-color: white;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease, visibilty 0.3s ease;
}
.photo.visible{
    animation: photo 0.5s ease forwards;
}
@keyframes photo{
    0%{
        opacity: 0;
        visibility: hidden;
    }
    50%{
        opacity: 1;
        visibility: visible;
    }
    100%{
        opacity: 0;
        visibility: hidden;
    }
}
@keyframes arupanddown{
    0%{
        transform: translateY(-5px);
    }
    50%{
        transform: translateY(0px);
    }
    100%{
        transform: translateY(-5px);
    }
}
.web {
    position: relative;
    color: white;
    text-align: center;
    align-content: center;
    background-color: #000;
    border-radius: 15px;
    z-index: 1;
}

.web::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    border-radius: 15px;
    padding: 2px;
    opacity: 0.2;
    background: linear-gradient(to bottom, rgb(255, 255, 255), rgb(153 153 153 / 60%));
    -webkit-mask: 
        linear-gradient(#fff 0 0) content-box, 
        linear-gradient(#fff 0 0);
    mask-composite: exclude;
    z-index: -1;
}
.web-flex{
    display: flex;
    height: 100%;
}
.web-flex-h2{
    height: 100%;
    width: 20%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.web-flex h2{
    font-size: 27px;
    font-weight: 500;
    transform: rotate(-90deg);
    letter-spacing: 1px;
}
.web-flex-two{
    display: flex;
    flex-direction: column;
}
.web-flex-p{
    height: 20%;
    margin-top: 15px;
}
.web-flex-p p{
    font-size: 16px;
    font-weight: 400;
}
.web-rectangle{
    width: 98%;
    height: 85%;
    margin-top: 10px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    overflow: hidden;
    background: linear-gradient(55deg, rgba(0,0,0,1) 0%, rgba(26,26,26,1) 100%);
}
.web-rectangle-desk{
    background-color: #F5F7F6;
    width: 100%;
    height: 8%;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}
.web-rectangle-desk-cam{
    background-color: #F5F7F6;
    border-radius: 50%;
    box-shadow: 0px 0px 2px rgba(0,0,0,0.6);
    width: 10px;
    height: 10px;
}
.web-rectangle-nav{
    margin-left: 5px;
    border-radius: 5px;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    align-items: center;
}
.web-rectangle-nav > div:nth-child(2),
.web-rectangle-nav > div:nth-child(3),
.web-rectangle-nav > div:nth-child(4) {
    transform: translateY(-400%);
    transition: transform 2s ease-in-out;
}

.web-rectangle-nav p {
    color: rgba(255, 255, 255, 0.2);
    margin-right: auto;
    margin-left: 5px;
    transition: opacity 2s ease-in-out;
    opacity: 0;
}

.web-rectangle-elements {
    width: 40px;
    background-color: #1A745D;
    border-radius: 5px;
    height: 12px;
}

#web-grid {
	display: grid;
	grid-template-rows: repeat(6, 1fr);
	grid-template-columns: repeat(6, 1fr);
    gap: 5px 5px;
    width: 97%;
    height: 88%;
    margin-left: 5px;
    margin-top: 5px;
    margin-right: 5px;
}

#web-div1 {
	grid-area: 1 / 1 / 2 / 7;
	background-color: #0A0A0A;
    border-radius: 5px;
    transition: transform 2s ease-in-out;
    transform: translateY(-200%);
}

#web-div2 {
	grid-area: 2 / 1 / 5 / 5;
	background-color: #0A0A0A;
    border-radius: 5px;
    transform: translateY(-200%);
    transition: transform 2s ease-in-out;
}


#web-div2 > div:nth-child(1) > div:nth-child(1),
#web-div2 > div:nth-child(1) > div:nth-child(2) {
    transform: translateY(-400%);
    transition: transform 2s ease-in-out;
}

#web-div2 > div:nth-child(2) > div:nth-child(1) {
    transform: translateY(-400%);
    transition: transform 2s ease-in-out;
}

#web-div3 {
	grid-area: 5 / 1 / 7 / 3;
	background-color: #0A0A0A;
    border-radius: 5px;
    transform: translateY(-400%);
    transition: transform 2s ease-in-out;
}

#web-div3 > div > div:nth-child(1) {
    transform: translateY(6000%);
    transition: transform 2s ease-in-out;
}

#web-div3 > div > div:nth-child(2) {
    transform: translateY(1200%);
    transition: transform 2s ease-in-out;
}

#web-div4 {
	grid-area: 5 / 3 / 7 / 5;
	background-color: #0A0A0A;
    border-radius: 5px;
    transform: translateY(-400%);
    transition: transform 2s ease-in-out;
}

#web-div4 > div > div:first-child {
    transform: translateY(1000%);
    transition: transform 2s ease-in-out;
}

#web-div5 {
	grid-area: 3 / 5 / 7 / 7;
	background-color: #0A0A0A;
    border-radius: 5px;
    transform: translateY(-200%);
    transition: transform 2s ease-in-out;
}

#web-div5 > div > div:nth-child(1),
#web-div5 > div > div:nth-child(2),
#web-div5 > div > div:nth-child(3)  {
    transform: translateX(300%);
    transition: transform 2s ease-in-out;
}

#web-div6 {
	grid-area: 2 / 5 / 3 / 7;
	background-color: #0A0A0A;
    border-radius: 5px;
    transform: translateY(-400%);
    transition: transform 2s ease-in-out;
}

#web-div6 > div > div:first-child {
    transform: translateX(300%); 
    transition: transform 2s ease-in-out;
}

/* drugi pattern */

#web-div7 {
    display: grid;
    grid-template-rows: repeat(2, 1fr);
    grid-area: 2 / 1 / 5 / 3;
    border-radius: 5px;
}

#web-div7 > div:first-child {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    padding: 10px;
}

#web-div7 > div:nth-child(2) {
    display: grid;
    gap: 5px;
    padding: 13px;
}

#web-div7 > div:first-child > div:nth-child(1) {
    background-color: #1A745D;
    border-radius: 3px;
    transform: translateY(-1000%);
    transition: transform 2s ease-in-out;
}

#web-div7 > div:first-child > div:nth-child(2) {
    background-color: #1A745D;
    border-radius: 3px;
    transform: translateY(-1000%);
    transition: transform 2s ease-in-out;
}

#web-div7 > div:nth-child(2) > div {
    background-color: #1A745D;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
    transform: translateX(-1000%);
    transition: transform 2s ease-in-out;
}

#web-div8 {
    display: grid;
    grid-template-rows: repeat(2, 1fr);
    grid-area: 5 / 1 / 7 / 3;
}

#web-div8 > div:first-child {
    background-color: #1A745D;
    border-radius: 3px;
    border-radius: 5px;
    margin: 5px;
    width: 80%;
    justify-self: center;
    transform: translateX(-1000%);
    transition: transform 2s ease-in-out;
}

#web-div8 > div:nth-child(2) {
    background-color: #1A745D;
    border-radius: 3px;
    border-radius: 5px;
    margin: 5px;
    width: 80%;
    justify-self: center;
    transform: translateX(-1000%);
    transition: transform 2s ease-in-out;
}

#web-div9 {
    display: grid;
    grid-template-rows: 18% 82%;
    gap: 3px;
    grid-area: 2 / 3 / 7 / 5;
    border-radius: 5px;
    padding: 3px;
}

#web-div9 > div:first-child {
    background-color: #1A745D;
    border-radius: 5px;
    margin: 2px;
    width: 80%;
    justify-self: center;
    transform: translateY(-1000%);
    transition: transform 2s ease-in-out;
}

#web-div9 > div:nth-child(2) {
    background-color: #1A745D;
    border-radius: 5px;
    margin: 2px;
    transform: translateY(1000%);
    transition: transform 2s ease-in-out;
}

#web-div10 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-area: 2 / 5 / 4 / 7;
    border-radius: 5px;
}

#web-div10 > div:first-child {
    background-color: #1A745D;
    border-radius: 5px;
    margin: 5px;
    transform: translateY(-1000%);
    transition: transform 2s ease-in-out;
}

#web-div10 > div:nth-child(2) {
    display: grid;
    grid-template-rows: repeat(2, 1fr);
    gap: 3px;
}

#web-div10 > div:nth-child(2) > div:nth-child(1) {
    background-color: #1A745D;
    border-radius: 5px;
    margin: 5px;
    transform: translateX(1000%);
    transition: transform 2s ease-in-out;
}

#web-div10 > div:nth-child(2) > div:nth-child(2) {
    background-color: #1A745D;
    border-radius: 5px;
    margin: 5px;
    transform: translateX(1000%);
    transition: transform 2s ease-in-out;
}

#web-div11 {
    display: grid;
    grid-template-rows: repeat(2,1fr);
    grid-area: 4 / 7 / 7 / 5;
    border-radius: 5px;
}

#web-div11 > div:first-child {
    background-color: #1A745D;
    border-radius: 5px;
    margin: 5px;
    transform: translateX(1000%);
    transition: transform 2s ease-in-out;
}

#web-div11 > div:nth-child(2) {
    background-color: #1A745D;
    border-radius: 5px;
    margin: 5px;
    transform: translateX(1000%);
    transition: transform 2s ease-in-out;
}

#web-div7, #web-div8, #web-div9, #web-div10, #web-div11 {
    transform: translateY(-500%);
    transition: transform 2s ease-in-out;
    background-color: #0A0A0A;
}
.seo {
    position: relative;
    color: white;
    letter-spacing: 2px;
    text-align: center;
    align-content: center;
    background-color: #000;
    border-radius: 15px;
    z-index: 1;
    overflow: hidden;
}
.seo::before {
    content: '';
    position: absolute;
    top: 0; right: 0; bottom: 0; left: 0;
    border-radius: 15px;
    padding: 2px;
    background: linear-gradient(to top, rgb(226 226 226 / 40%), rgb(101 101 101 / 40%));
    -webkit-mask: 
        linear-gradient(#fff 0 0) content-box, 
        linear-gradient(#fff 0 0);
            mask-composite: exclude;
    z-index: -1;
}
.seo h2{
    font-weight: 500;
    font-size: 23px;
    margin-top: 3px;
}
.seo p{
    font-size: 13px;
    font-weight: 400;
}
.seo-rectangle{
    width: 95%;
    position: relative;
    z-index: -2;
    height: 97%;
    margin-top: 10px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    background: linear-gradient(55deg, rgba(0,0,0,1) 0%, rgba(26,26,26,1) 100%);
}
.seo-rectangle-desk{
    background-color: #F5F7F6;
    width: 100%;
    height: 8%;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}
.seo-rectangle-desk-cam{
    background-color: #F5F7F6;
    border-radius: 50%;
    box-shadow: 0px 0px 2px rgba(0,0,0,0.6);
    width: 10px;
    height: 10px;
}

.media {
    position: relative;
    color: white;
    font-size: 40px;
    letter-spacing: 2px;
    text-align: center;
    align-content: center;
    font-weight: 500;
    background-color: #000;
    border-radius: 15px;
    z-index: 1;
}
.media::before {
    content: '';
    position: absolute;
    top: 0; right: 0; bottom: 0; left: 0;
    border-radius: 15px;
    padding: 2px;
    background: linear-gradient(to top, rgb(226 226 226 / 40%), rgb(101 101 101 / 40%));
    -webkit-mask: 
        linear-gradient(#fff 0 0) content-box, 
        linear-gradient(#fff 0 0);
    -webkit-mask-composite: destination-out;
            mask-composite: exclude;
    z-index: -1;
}
.media-in {
    display: flex;
    height: 100%;
    align-items: center;
    justify-content: center;
}

.media-in-flex {
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.media-in-flex a {
    color: white;
    text-decoration: none;
    font-family: 'Work Sans', sans-serif;
}

.media-in:nth-child(1) .media-in-flex:nth-child(1) span:nth-child(1) {
    position: absolute;
    background-color: #0d00ff;
    width: 80px;
    height: 5px;
    bottom: 30%;
    filter: blur(20px);
    z-index: -1;
    left: -50%;
    right: 0;
    margin: auto;
    opacity: 0;
    transition: opacity 200ms ease-in-out;
    pointer-events: none;
}

.media-in:nth-child(1) .media-in-flex:nth-child(1) span:nth-child(3) {
    position: absolute;
    font-size: 15px;
    bottom: 15%;
    right: 65%;
    font-family: "Work Sans", sans-serif;
    font-weight: 600;
    opacity: 0;
    pointer-events: none;
    transition: bottom 200ms ease-in-out, opacity 200ms ease-in-out;
}

.media-in .media-in-flex img {
    transform: translateY(0);
    transition: transform 200ms ease-in-out;
}

.media-in:nth-child(1) .media-in-flex:nth-child(1):hover span:nth-child(3) {
    opacity: 1;
    bottom: 25%;
}

.media-in:nth-child(1) .media-in-flex:nth-child(1):hover span:nth-child(1) {
    opacity: 1;
}

.media-in:nth-child(1) .media-in-flex:nth-child(1):hover img {
    transform: translateY(-20px);
}

.media-in .media-in-flex:nth-child(2) span:nth-child(1) {
    position: absolute;
    background-color: #ff00e6;
    width: 80px;
    height: 5px;
    bottom: 30%;
    filter: blur(20px);
    z-index: -1;
    left: 50%;
    right: 0;
    margin: auto;
    opacity: 0;
    transition: opacity 200ms ease-in-out;
    pointer-events: none;
}

.media-in .media-in-flex:nth-child(2) span:nth-child(3) {
    position: absolute;
    font-size: 15px;
    bottom: 15%;
    right: 15%;
    font-family: "Work Sans", sans-serif;
    font-weight: 600;
    opacity: 0;
    pointer-events: none;
    transition: bottom 200ms ease-in-out, opacity 200ms ease-in-out;
     /* background: -webkit-linear-gradient(60deg, #4169e1, #0000ff, #800080, #8b008b, #ff0000, #ffa500, #ffff00);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;  */
}

.media-in .media-in-flex:nth-child(1) span:nth-child(4)::before,
.media-in .media-in-flex:nth-child(1) span:nth-child(4)::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 21%;
    transform: translateX(-42%);
    height: 100%;
    width: 50%;
    background-repeat: no-repeat;
}

.media-in .media-in-flex:nth-child(1) span:nth-child(4):hover::before {
  top: -60%;
  left: 24%;
  background-image: radial-gradient(circle, #0d00ff 20%, transparent 20%),
  radial-gradient(circle, transparent 20%, #0d00ff 20%, transparent 30%),
  radial-gradient(circle, #0d00ff 20%, transparent 20%),
  radial-gradient(circle, transparent 10%, #0d00ff 15%, transparent 20%),
  radial-gradient(circle, #0d00ff 20%, transparent 20%),
  radial-gradient(circle, #0d00ff 20%, transparent 20%),
  radial-gradient(circle, #0d00ff 20%, transparent 20%),
  radial-gradient(circle, #0d00ff 20%, transparent 20%),
  radial-gradient(circle, #0d00ff 20%, transparent 20%);
  background-size: 20% 20%, 20% 20%, 20% 20%, 20% 20%, 20% 20%, 20% 20%, 20% 20%, 20% 20%;
  background-position: 50% 150%, 50% 150%, 50% 150%, 70% 150%, 70% 150%, 70% 150%, 70% 150%, 70% 150%, 70% 150%;
  animation: topBubbles 1s ease-in-out 1;
}

@keyframes topBubbles {
  50% {
    background-position: 65% 70%, 0% 20%, 10% 40%, 50% 0%, 30% 30%, 22% 50%, 50% 50%, 65% 20%, 90% 30%;
  }
  100% {
    background-position: 65% 70%, 0% 10%, 10% 30%, 50% 0%, 30% 20%, 22% 40%, 50% 40%, 65% 10%, 90% 20%;
    background-size: 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%;
  }
}

.media-in .media-in-flex:nth-child(2) span:nth-child(4)::before,
.media-in .media-in-flex:nth-child(2) span:nth-child(4)::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 71%;
    transform: translateX(-42%);
    height: 100%;
    width: 50%;
    background-repeat: no-repeat;
}

.media-in .media-in-flex:nth-child(2) span:nth-child(4):hover::before {
  top: -60%;
  left: 71%;
  background-image: radial-gradient(circle, #ff00e6 20%, transparent 20%),
  radial-gradient(circle, transparent 20%, #ff00e6 20%, transparent 30%),
  radial-gradient(circle, #ff00e6 20%, transparent 20%),
  radial-gradient(circle, transparent 10%, #ff00e6 15%, transparent 20%),
  radial-gradient(circle, #ff00e6 20%, transparent 20%),
  radial-gradient(circle, #ff00e6 20%, transparent 20%),
  radial-gradient(circle, #ff00e6 20%, transparent 20%),
  radial-gradient(circle, #ff00e6 20%, transparent 20%),
  radial-gradient(circle, #ff00e6 20%, transparent 20%);
  background-size: 20% 20%, 20% 20%, 20% 20%, 20% 20%, 20% 20%, 20% 20%, 20% 20%, 20% 20%;
  background-position: 50% 150%, 50% 150%, 50% 150%, 70% 150%, 70% 150%, 70% 150%, 70% 150%, 70% 150%, 70% 150%;
  animation: topBubbles 1s ease-in-out 1;
}

@keyframes topBubbles {
  50% {
    background-position: 65% 70%, 0% 20%, 10% 40%, 50% 0%, 30% 30%, 22% 50%, 50% 50%, 65% 20%, 90% 30%;
  }
  100% {
    background-position: 65% 70%, 0% 10%, 10% 30%, 50% 0%, 30% 20%, 22% 40%, 50% 40%, 65% 10%, 90% 20%;
    background-size: 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%;
  }
}

.media-in .media-in-flex:nth-child(2):hover span:nth-child(3) {
    opacity: 1;
    bottom: 25%;
}

.media-in .media-in-flex:nth-child(2):hover span:nth-child(1) {
    opacity: 1;
}

.media-in .media-in-flex:nth-child(2):hover img {
    transform: translateY(-20px);
}

.media-in-flex:first-child::after {
    content: "";
    position: absolute;
    right: 50%;
    top: 0;
    bottom: 0;
    border-right: 1px dotted #292836;
    transform: translateX(50%); 
}
.comments {
    position: relative;
    background-color: transparent;
    overflow: hidden;
}

.comments::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    border-radius: 15px;
    padding: 2px;
    opacity: 0.2;
    background: linear-gradient(to bottom, rgb(255, 255, 255), rgb(153 153 153 / 60%));
    -webkit-mask: 
        linear-gradient(#fff 0 0) content-box, 
        linear-gradient(#fff 0 0);
    -webkit-mask-composite: destination-out;
    mask-composite: exclude;
    z-index: -1;
}

.light-point-1 {
    position: absolute;
    top: 0;
    left: 0;
    width: 80px;
    height: 80px;
    background-color: white;
    filter: blur(80px);
}

.comments-header {
    margin-top: 10px;
    margin-bottom: 15px;
    color: white;
    font-size: 1.4rem;
    font-weight: 400;
    text-align: center;
}

.comments-main {
    display: grid;
    grid-template-rows: repeat(3, 1fr);
    gap: 25px;
}

.comment {
    display: grid;
    color: white;
    background: linear-gradient(242deg, #141414, #000000);
    width: 62%;
    height: auto;
    padding: 5px;
    margin-left: 20px;
    border-radius: 8px;
    z-index: 1;
    transition: transform 600ms ease-in-out;
    width: 290px;
    height: 100px;
}

.comment:nth-child(2n) {
    justify-self: right;
    margin-right: 20px;
}
.comment.entering {
    position: absolute;
    transform: translateX(-134%);
    top: 75px;
    transition: transform 3s ease;
}
.comment-head {
    display: flex;
    gap: 15px;
    margin-left: 10px;
}

.comment-head h2 {
    font-size: 1rem;
    align-self: center;
}

.comment-content {
    display: flex;
    justify-content: center;
    font-family: "Work Sans", sans-serif;
    font-weight: 500;
    font-size: .7rem;
}

.comment-content blockquote {
    width: 95%;
}

.comment-head img {
    width: 30px;
    height: 30px;
    border-radius: 50%;
}

.comment-footer {
    text-align: center;
    color: #ffffff50;
    font-size: 0.8rem;
}

.light-point-2 {
    position: absolute;
    right: 0;
    margin: auto;
    bottom: 0;
    width: 80px;
    height: 80px;
    background-color: white;
    filter: blur(80px);
    z-index: -1;
}

.smile {
    background: none;
    display: flex;
    align-items: center;
    position: relative;
}

.smile img:nth-child(1) {
    opacity: 0;
    transition: opacity 600ms ease-in-out;
}

.smile img:nth-child(2) {
       position: absolute;
    opacity: 0;
    transition: opacity 600ms ease-in-out;
}

.smile img:nth-child(3) {
    position: absolute;
    opacity: 0;
    transition: opacity 600ms ease-in-out;
}

.smile img:nth-child(4) {
    position: absolute;
    opacity: 0;
    transition: opacity 600ms ease-in-out;
}

.smile img:nth-child(5) {
    position: absolute;
    opacity: 0;
    transition: opacity 600ms ease-in-out;
}

.smile img:nth-child(6) {
    position: absolute;
    opacity: 0;
    transition: opacity 600ms ease-in-out;
}

.smile img:nth-child(7) {
    position: absolute;
    opacity: 0;
    transition: opacity 600ms ease-in-out;
}

.smile img:nth-child(8) {
    position: absolute;
    opacity: 0;
    transition: opacity 600ms ease-in-out;
}
.smile img:nth-child(9) {
    position: absolute;
    opacity: 0;
    transition: opacity 600ms ease-in-out;
}
.motiv {
    position: relative;
    color: white;
    font-size: 40px;
    letter-spacing: 2px;
    text-align: center;
    align-content: center;
    font-weight: 500;
    background-color: #000;
    border-radius: 15px;
    z-index: 1;
    perspective: 1000px;
}

.motiv::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    border-radius: 15px;
    padding: 2px;
    opacity: 0.2;
    background: linear-gradient(to bottom, rgb(255, 255, 255), rgb(153 153 153 / 60%));
    -webkit-mask: 
        linear-gradient(#fff 0 0) content-box, 
        linear-gradient(#fff 0 0);
    -webkit-mask-composite: destination-out;
    mask-composite: exclude;
    z-index: -1;
}

.motiv-inner {
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    transition: transform 0.6s;
    transition-delay: 0.5s;
}

.motiv:hover .motiv-inner {
    transform: rotateY(180deg);
    transition-delay: 0s;
}

.motiv:hover .motiv-other-side-blur {
    opacity: 1;
    transition-delay: 0.6s;
}
.motiv:not(:hover) .motiv-other-side-blur {
    opacity: 0;
    transition-delay: 0s;
}
.motiv-front, .motiv-back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: 15px;
}

.motiv-front {
    display: flex;
    justify-content: center;
    align-items: center;
}

.motiv-back {
    transform: rotateY(180deg);
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.motiv-other-side {
    height: 100%;
    align-content: center;
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.motiv-other-side p {
    font-weight: 400;
    background-image: linear-gradient(to bottom, rgb(75, 75, 75), rgb(27 27 27));
    height: 100%;
    align-content: center;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    cursor: context-menu;
}

.motiv-other-side-blur {
    background-color: #fff;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    position: absolute;
    top: -25px;
    z-index: -3;
    left: 50%;
    transform: translateX(-50%);
    filter: blur(100px);
    opacity: 0;
    transition: opacity 1s;
    transition-delay: 0.1s;
}
.contact {
    display: flex;
    flex-direction: column;
    gap: 15px;
    text-align: center;
    position: relative;
    background: transparent;
}

.contact::after {
    content: '';
    position: absolute;
    margin: auto;
    inset: 0;
    width: 120px;
    height: 120px;
    background-color: white;
    filter: blur(90px);    
    opacity: 0.6;
    transition: opacity 1s ease;
}

.contact::before {
    content: '';
    position: absolute;
    inset: 0;
    border-radius: 15px;
    padding: 2px;
    opacity: 0.2;
    background: linear-gradient(to bottom, rgb(255, 255, 255), rgb(153 153 153 / 60%));
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: destination-out;
    mask-composite: exclude;
    z-index: -1;
}

.contact h4 {
    font-weight: 400;
    color: white;
    font-size: 36px;
}

.contact h6 {
    font-weight: 400;
    font-family: "Work Sans", sans-serif;
    color: white;
    font-size: 28px;
}

.form-input {
    display: flex;
    flex-direction: column;
    margin: auto;
    width: 80%;
    height: 100%;
    gap: 15px;
    margin-top: 20px;
    z-index: 1;
}

.form-input .input-email,
.form-input .input-phone,
.form-input .input-text {
    position: relative;
    width: auto;
    height: 70px;
    background: rgba(6, 6, 6, 0.495);
    border-radius: 5px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.3);
    border: none;
    outline: none;
    color: white;
    resize: none;
    text-align: center;
    font-family: "Reem Kufi", sans-serif;
    font-weight: 400;
    font-size: 1.2rem;
}

.form-input input {
    border: none;
    outline: none;
    background-color: transparent;
    width: 100%;
    text-align: center;
    color: white;
    margin: auto;
    font-size: 1.3rem;
    font-family: "Reem Kufi", sans-serif;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number]{
    -moz-appearance: textfield;
}

.contact:hover::after {
    opacity: 1;
}

.contact-input {
    display: flex;
    justify-content: center;
    gap: 25%;
    color: white;
    height: 100%;
    font-size: 24px;
    font-family: "Reem Kufi", sans-serif;
    font-weight: 400;
}


.contact-input p img {
    position: relative;
    top: 5px;
    margin-left: 5px;
    margin-right: 5px;
    width: 25px;
}

#div1 {
	grid-area: 1 / 2 / 3 / 4;
}
#div2 {
	grid-area: 1 / 4 / 2 / 10;
}
#div3 {
	grid-area: 1 / 10 / 4 / 12;
}
#div4 {
	grid-area: 2 / 4 / 4 / 7;
}
#div5 {
	grid-area: 2 / 7 / 4 / 10;
}
#div6 {
	grid-area: 3 / 2 / 6 / 4;
}
#div7 {
	grid-area: 4 / 4 / 6 / 5;
}
#div8 {
	grid-area: 6 / 2 / 7 / 5;
}
#div9 {
	grid-area: 4 / 5 / 7 / 8;
}
#div10 {
	grid-area: 4 / 8 / 7 / 12;
}
#copy{
    grid-area: 6 / 1 / 7 / 2;
    color: rgba(255, 255, 255, 0.11);
    display: flex;
    align-items: flex-end;
    justify-content: center;
}
#custom--1 {
    position: fixed;
    inset: 0;
    z-index: 999;
    background-color: rgba(0, 0, 0, 0.70);
    backdrop-filter: blur(5px);
    display: none;
  }
  
  .box--1 {
    height: 40%;
    width: auto;
    background-color: rgba(53, 53, 53, 0.6);
    color: white;
    border-radius: 10px;
    box-shadow: 20px 20px 20px rgba(0, 0, 0, 0.5);
  }
  
  .header--1 {
    display: grid;
    justify-content: center;
    background-color: green;
    padding: 10px;
  }
  
  .header--1 h5 {
    font-size: 2.1rem;
  }
  
  .content--1 {
    display: grid;
    place-items: center;
    height: 42%;
    width: 100%;
  }
  
  .content--1 p {
    font-size: 1.3rem;
    width: 70%;
    text-align: center;
  }
  
  .footer--1 {
    display: grid;
    align-items: center;
    position: relative;
    width: 50%;
    height: 42%;
    margin: auto;
  }
  
  .button--1 {
    padding: 0.8em 1.7em;
    background-color: transparent;
    border-radius: .3em;
    position: relative;
    overflow: hidden;
    cursor: pointer;
    transition: .5s;
    font-weight: 400;
    font-size: 1.2rem;
    border: 1px solid;
    font-family: inherit;
    text-transform: uppercase;
    color: #11ff05;
    z-index: 1;
  }
   
  .button--1::before, .button--1::after {
    content: '';
    display: block;
    width: 50px;
    height: 50px;
    transform: translate(-50%, -50%);
    position: absolute;
    border-radius: 50%;
    z-index: -1;
    background-color: #0caa03;
    transition: 1s ease;
  }
   
  .button--1::before {
    top: -1em;
    left: -1em;
  }
   
  .button--1::after {
    left: calc(100% + 1em);
    top: calc(100% + 1em);
  }
   
  .button--1:hover::before, 
  .button--1:focus::before, 
  .button--1:hover::after, 
  .button--1:focus::after {
    height: 410px;
    width: 510px;
  }
   
  .button--1:hover,
  .button--1:focus {
    color: white;
  }
   
  .button--1:active {
    filter: brightness(.8);
  }
  
  /* Błąd */
  #custom--2 {
    display: none;
    position: fixed;
    inset: 0;
    z-index: 999;
    background-color: rgba(0, 0, 0, 0.70);
    backdrop-filter: blur(5px);
  }
  
  .box--2 {
    height: 40%;
    width: auto;
    background-color: rgba(53, 53, 53, 0.6);
    color: white;
    border-radius: 10px;
    box-shadow: 20px 20px 20px rgba(0, 0, 0, 0.5);
  }
  
  .header--2 {
    display: grid;
    justify-content: center;
    background-color: red;
    padding: 10px;
  }
  
  .header--2 h5 {
    font-size: 2.1rem;
  }
  
  .content--2 {
    display: grid;
    place-items: center;
    height: 42%;
    width: 100%;
  }
  
  .content--2 p {
    font-size: 1.3rem;
    width: 70%;
    text-align: center;
  }
  
  .footer--2 {
    display: grid;
    align-items: center;
    position: relative;
    width: 50%;
    height: 42%;
    margin: auto;
  }
  
  .footer--2:has(:hover, :focus)::before {
    content: '';
    position: absolute;
    top: 30%;
    width: 100%;
    height: 40%;
    background-color: red;
    z-index: -1;
  }
  
  .footer--2::before {
    content: '';
    position: absolute;
    top: 30%;
    width: 100%;
    height: 40%;
    background-color: transparent;
    z-index: -1;
    transition: background-color 1s ease;
    transition-delay: 1.5s;
  }
  
  .footer--2 button{
    display: grid;
    place-items: center;
    width: 100%;
    height: 40%;
    font-size: 1.2rem;
    color: white;
    border: solid 1px white;
    background-color: transparent;
    cursor: pointer;
  }
  
  .footer--2 .border--bottom {
    position: absolute;
    left: 50%; 
    transform: translateX(-50%);
    bottom: 30%;
    width: 0;
    border-top: solid 3px red;
    transition: width 1s ease;
  }
  
  .footer--2:has(:hover, :focus) .border--bottom {
    position: absolute;
    left: 50%; 
    transform: translateX(-50%);
    bottom: 30%;
    width: 99%;
    border-top: solid 3px red;
  }
  
  .footer--2 .border--left {
    position: absolute;
    left: 0;
    bottom: 30%;
    height: 0%;
    width: 3px;
    border-left: solid 3px red;
    transition: height 1s ease;
    transition-delay: 750ms;
  }
  
  .footer--2:has(:hover, :focus) .border--left {
    position: absolute;
    left: 0;
    bottom: 30%;
    height: 40%;
    width: 3px;
    border-left: solid 3px red;
  }
  
  .footer--2 .border--right {
    position: absolute;
    right: 0;
    bottom: 30%;
    height: 0%;
    width: 3px;
    border-right: solid 3px red;
    transition: height 1s ease;
    transition-delay: 750ms;
  }
  
  .footer--2:has(:hover, :focus) .border--right {
    position: absolute;
    right: 0;
    bottom: 30%;
    height: 40%;
    width: 3px;
    border-right: solid 3px red;
  }
  
  .footer--2 .border--top {
    position: absolute;
    left: 50%; 
    transform: translateX(-50%);
    top: 30%;
    width: 0;
    border-top: solid 3px red;
    transition: width 1s ease;
    transition-delay: 1.2s;
  }
  
  .footer--2:has(:hover, :focus) .border--top {
    position: absolute;
    left: 50%; 
    transform: translateX(-50%);
    top: 30%;
    width: 99%;
    border-top: solid 3px red;
  }
  #copy{
    grid-area: 6 / 1 / 7 / 2;
    color: rgba(255, 255, 255, 0.11);
    display: flex;
    align-items: flex-end;
    justify-content: center;
}
@media (min-width: 300px) and (max-width: 800px) {
    .box--2 ,.box--1 {
        height: 60%;
        text-align: center;
   }
   #copy{
    grid-area: unset;
}
   .footer--2{
        align-items: normal;
    }
    #grid {
        grid-template-columns: none;
        grid-template-rows: none;
        height: auto;
        padding: 5px;
    }

    #div1 {
        display: none;
    }

    #div2 {
        grid-row: 1;
        grid-area: unset;
    }

    #div3 {
        grid-area: auto;
        z-index: 1;
        position: relative;
        grid-row: 6;
    }

    #div4 {
        grid-row: 2 !important;
        grid-area: auto;
    }

    #div5 {
        grid-area: auto;
        grid-row: 3;
    }

    #div6 {
        grid-area: auto;
        grid-row: 4;
    }

    #div7 {
        display: none;
    }

    #div8 {
        grid-area: auto;
        grid-row: 8;
    }

    #div9 {
        grid-area: auto;
        grid-row: 5;
        padding: 10px;
    }

    #div10 {
        grid-area: auto;
        grid-row: 7;
    }

    .main-text {
        font-size: 30px;
    }

    .seo {
        overflow: visible;
    }

    .seo-rectangle {
        width: 100%;
        position: relative;
        z-index: -2;
        height: 97%;
        margin-top: 10px;
        border-top-left-radius: 5px;
        border-top-right-radius: 5px;
        background: linear-gradient(55deg, rgba(0, 0, 0, 1) 0%, rgba(26, 26, 26, 1) 100%);
    }

    .seo-rectangle svg {
        width: 300px;
    }

    .comments {
        position: relative;
        background-color: transparent;
        overflow: hidden;
    }

    .comment {
        display: grid;
        color: white;
        background: linear-gradient(242deg, #141414, #000000);
        width: 62%;
        height: auto;
        padding: 5px;
        margin-left: 20px;
        border-radius: 8px;
        z-index: 1;
        transition: transform 600ms ease-in-out;
        width: 63%;
    }

    body {
        overflow: visible;
    }

    .media-in-flex {
        width: 50%;
        height: 100px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .contact-input p:nth-child(1) {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 10px;
    }

    .contact-input p:nth-child(2) {
        display: flex;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        margin: 10px;
    }

    .contact-input {
        gap: 0;
    }

    #web-div2 > div:nth-child(1) > div:nth-child(2) {
        width: 80px !important;
        height: 30px !important;
    }

    #web-div2 > div:nth-child(2) > div:nth-child(1) {
        width: 55px !important;
        height: 58px !important;
    }

    .web-flex-p {
        height: auto;
    }

    .media-in:nth-child(1) .media-in-flex:nth-child(1) span:nth-child(3) {
        bottom: 10%;
        right: 62%;
    }

    .media-in .media-in-flex:nth-child(2) span:nth-child(3) {
        bottom: 10%;
        right: 11%;
    }

    .contact h4 {
        font-size: 33px;
    }

    .contact h6 {
        font-size: 25px;
    }

}

@media (min-width: 580px) and (max-width: 800px) {

    #grid > div {
        width: 90%;
        justify-self: center;
    }

}

@media (min-width: 930px) and (max-width: 1370px) {

    #div10 > div.contact-input{
        gap: 25%;
    }

}

@media (min-width: 801px) and (max-width: 1370px) {

    #grid {
        grid-template-columns: none;
        grid-template-rows: none;
        height: auto;
        padding: 5px;
    }

    #div1 {
        display: none;
    }

    #div2 {
        grid-row: 1;
        grid-area: unset;
        grid-column: 1 / 3;
    }

    #div3 {
        grid-area: auto;
        z-index: 1;
        position: relative;
        grid-row: 4;
        grid-column: 1;
    }

    #div4 {
        grid-row: 2 !important;
        grid-area: auto;
        grid-column: 2;
    }

    #div5 {
        grid-area: auto;
        grid-row: 2;
        grid-column: 1;
    }

    #div6 {
        grid-area: auto;
        grid-row: 3;
        grid-column: 1;
    }

    #div7 {
        display: none;
    }

    #div8 {
        grid-area: auto;
        grid-row: 5;
        grid-column: 1 / 3;
    }

    #div9 {
        grid-area: auto;
        grid-row: 3;
        grid-column: 2;
        padding: 10px;
    }

    #div10 {
        grid-area: auto;
        grid-row: 4;
        grid-column: 2;
    }

    #div10 > div.form-input {
        margin-top: auto;
        flex-basis: 0;
    }

    #div10 > div.contact-input {
        flex-basis: 15%;
    }

    .main-text {
        font-size: 30px;
    }

    .seo {
        overflow: visible;
    }

    .seo-rectangle {
        width: 100%;
        position: relative;
        z-index: -2;
        height: 97%;
        margin-top: 10px;
        border-top-left-radius: 5px;
        border-top-right-radius: 5px;
        background: linear-gradient(55deg, rgba(0, 0, 0, 1) 0%, rgba(26, 26, 26, 1) 100%);
    }

    .seo-rectangle svg {
        width: 300px;
    }

    .comments {
        position: relative;
        background-color: transparent;
        overflow: hidden;
    }

    .comment {
        display: grid;
        color: white;
        background: linear-gradient(242deg, #141414, #000000);
        width: 62%;
        height: auto;
        padding: 5px;
        margin-left: 20px;
        border-radius: 8px;
        z-index: 1;
        transition: transform 600ms ease-in-out;
        width: 63%;
    }

    body {
        overflow: visible;
    }

    .media-in-flex {
        width: 50%;
        height: 100px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .contact-input p:nth-child(1) {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 10px;
    }

    .contact-input p:nth-child(2) {
        display: flex;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        margin: 10px;
    }

    .contact-input {
        gap: 0;
    }

    #web-div2 > div:nth-child(1) > div:nth-child(2) {
        width: 138px;
        height: 50px;
    }

    #web-div2 > div:nth-child(2) > div:nth-child(1) {
        width: 79px;
        height: 73px;
    }

    .web-flex-p {
        height: auto;
    }

    .media-in:nth-child(1) .media-in-flex:nth-child(1) span:nth-child(3) {
        bottom: 10%;
        right: 70%;
    }

    .media-in .media-in-flex:nth-child(2) span:nth-child(3) {
        bottom: 10%;
        right: 20%;
    }

}

@media (min-width: 1370px) and (max-width: 1850px) {

    #div5 > div > p {
        font-size: 10px;
    }

    #div5 > div > h2 {
        font-size: 18px;
    }

    #div5 > div > div > div > svg {
        position: relative;
        top: -6%;
    }

    #div4 > div > div.web-flex-two > div.web-flex-p > p {
        font-size: 13px;
    }
    
    #div10 {
        gap: 5px;
    }

    #div2 > h1 {
        font-size: 2.8rem;
    }

    #div10 > div.contact-input {
        gap: 15%;
    }

    #div10 > div.form-input {
        gap: 8px;
    }

    .seo-rectangle svg {
        width: 300px;
    }

    #web-div2 > div:nth-child(1) > div:nth-child(2) {
        width: 75px !important;
        height: 33px !important;
    }

    #web-div2 > div:nth-child(2) > div:nth-child(1) {
        width: 50px !important;
        height: 60px !important;
    }

    .contact-input {
        align-items: center;
    }

    .motiv-other-side span:nth-child(5) {
        font-size: 36px !important;
    }

    .motiv-other-side span:nth-child(7) {
        font-size: 70px !important;
    }

    .motiv-other-side span:nth-child(9) {
        font-size: 45px !important;
    }

    .media-in .media-in-flex:nth-child(2) span:nth-child(3) {
        right: 13%;
    }

    .media-in:nth-child(1) .media-in-flex:nth-child(1) span:nth-child(3) {
        right: 63%;
    }

    .phone-not-bot {
        white-space: nowrap;
        font-size: 10px;
    }

    #phone-not-1 > div.phone-not-mid > p {
        font-size: 10px;
    }

    .phone-not-top p {
        font-size: 7px;
    }

}

